Foreman - Bug #1176

SLES (SUSE) operatingsystem not displaying minor version?

09/20/2011 10:12 AM - Oliver Weinmann

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Importers
Target version: 1.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hi,

When addind SLES based hosts to foreman it only displays them as SLES 11. Some of these hosts are SLES 11.1 and some are

11.0.

| checked the facts provided by facter and it does provide the correct values:

vb7542:~ # facter | grep oper
operatingsystem => SLES
operatingsystemrelease => 11.1

gedaiv106:~ # facter | grep oper
operatingsystem => SLES
operatingsystemrelease => 11.0

Regards,
Oliver

Related issues:

Has duplicate Foreman - Bug #1379: SUSE OS defined more generically if Isb is...

Duplicate

12/07/2011

Associated revisions

Revision 2e724820 - 12/29/2011 05:55 AM - Ohad Levy
fixes #1176 - SLES (SUSE) operatingsystem not displaying minor version

Revision Oeeeee86 - 01/03/2012 09:03 AM - Oliver Weinmann

fixes #1176 - SLES still did not display correct minor version

History

#1 - 10/20/2011 02:08 PM - Ohad Levy

- Project changed from Installer to Foreman

#2 - 10/25/2011 10:46 AM - Oliver Weinmann
Hi,

I think | found the reason. Looking at the facts of a SLES 9.4 machine and a SLES 11 machine there are 2 new facts introduced:

Isbdistrelease
and

Isbdistmajrelease

both point to 11 which is correct. But this is the problem if they are used in foreman. operatingsystemrelease should be used as this is correct.
Can you please check?

Regards,
Oli

#3 - 12/29/2011 05:50 AM - Ohad Levy
- Category set to Importers
- Assignee set to Ohad Levy

- Target version set to 1.0

#4 - 12/29/2011 05:57 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 2e724820f2875fdc11068a9b45757d8b5842cd2e.
